## org.eclipse.uml2.uml
Interface InteractionOperand

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, InteractionFragment, NamedElement, Namespace, org.eclipse.emf.common.notify.Notifier

    public interface InteractionOperand

extends Namespace, InteractionFragment

A representation of the model object 'Interaction Operand'. An interaction operand is contained in a combined fragment. An interaction operand represents one operand of the expression given by the enclosing combined fragment.

The following features are supported:

- `Guard`
- `Fragment`

See Also:
  `UMLPackage.getInteractionOperand()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`InteractionFragment` `createFragment(java.lang.String name, org.eclipse.emf.ecore.EClass eClass)` Creates a new `InteractionFragment`, with the specified 'Name', and appends it to the 'Fragment' containment reference list
`InteractionConstraint` `createGuard(java.lang.String name)` Creates a new `InteractionConstraint`,with the specified 'Name', and sets the 'Guard' containment reference
`InteractionFragment` `getFragment(java.lang.String name)` Retrieves the first `InteractionFragment` with the specified 'Name' from the 'Fragment' containment reference list
`InteractionFragment` `getFragment(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass, boolean createOnDemand)` Retrieves the first `InteractionFragment` with the specified 'Name' from the 'Fragment' containment reference list
`org.eclipse.emf.common.util.EList<InteractionFragment>` `getFragments()` Returns the value of the 'Fragment' containment reference list.
`InteractionConstraint` `getGuard()` Returns the value of the 'Guard' containment reference
`void` `setGuard(InteractionConstraint value)` Sets the value of the '`Guard`' containment reference
`boolean` `validateGuardContainReferences(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The guard must contain only references to values local to the Lifeline on which it resides, or values global to the whole Interaction.
`boolean` `validateGuardDirectlyPrior(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The guard must be placed directly prior to (above) the OccurrenceSpecification that will become the first OccurrenceSpecification within this InteractionOperand.

Methods inherited from interface org.eclipse.uml2.uml.Namespace

`createElementImport, createElementImport, createOwnedRule, createOwnedRule, createPackageImport, createPackageImport, excludeCollisions, getElementImport, getElementImport, getElementImports, getImportedElements, getImportedMember, getImportedMember, getImportedMembers, getImportedPackages, getMember, getMember, getMembers, getNamesOfMember, getOwnedMember, getOwnedMember, getOwnedMembers, getOwnedRule, getOwnedRule, getOwnedRules, getPackageImport, getPackageImport, getPackageImports, importMembers, membersAreDistinguishable, validateMembersDistinguishable`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.InteractionFragment
`createGeneralOrdering, getCovered, getCovered, getCovereds, getEnclosingInteraction, getEnclosingOperand, getGeneralOrdering, getGeneralOrdering, getGeneralOrderings, setEnclosingInteraction, setEnclosingOperand`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGuard

    InteractionConstraint getGuard()

  Returns the value of the 'Guard' containment reference. Constraint of the operand.

  Returns:
    the value of the 'Guard' containment reference.
  See Also:
    `setGuard(InteractionConstraint)`, `UMLPackage.getInteractionOperand_Guard()`

### setGuard

    void setGuard(InteractionConstraint value)

  Sets the value of the '`Guard`' containment reference.

  Parameters:
    `value` - the new value of the 'Guard' containment reference.
  See Also:
    `getGuard()`

### createGuard

    InteractionConstraint createGuard(java.lang.String name)

  Creates a new `InteractionConstraint`,with the specified 'Name', and sets the 'Guard' containment reference.

  Parameters:
    `name` - The 'Name' for the new `InteractionConstraint`, or `null`.
  Returns:
    The new `InteractionConstraint`.
  See Also:
    `getGuard()`

### getFragments

    org.eclipse.emf.common.util.EList<InteractionFragment> getFragments()

  Returns the value of the 'Fragment' containment reference list. The list contents are of type `InteractionFragment`. It is bidirectional and its opposite is '`Enclosing Operand`'. The fragments of the operand.

  Returns:
    the value of the 'Fragment' containment reference list.
  See Also:
    `UMLPackage.getInteractionOperand_Fragment()`, `InteractionFragment.getEnclosingOperand()`

### createFragment

    InteractionFragment createFragment(java.lang.String name,
                                       org.eclipse.emf.ecore.EClass eClass)

  Creates a new `InteractionFragment`, with the specified 'Name', and appends it to the 'Fragment' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `InteractionFragment`, or `null`.
    `eClass` - The Ecore class of the `InteractionFragment` to create.
  Returns:
    The new `InteractionFragment`.
  See Also:
    `getFragments()`

### getFragment

    InteractionFragment getFragment(java.lang.String name)

  Retrieves the first `InteractionFragment` with the specified 'Name' from the 'Fragment' containment reference list.

  Parameters:
    `name` - The 'Name' of the `InteractionFragment` to retrieve, or `null`.
  Returns:
    The first `InteractionFragment` with the specified 'Name', or `null`.
  See Also:
    `getFragments()`

### getFragment

    InteractionFragment getFragment(java.lang.String name,
                                    boolean ignoreCase,
                                    org.eclipse.emf.ecore.EClass eClass,
                                    boolean createOnDemand)

  Retrieves the first `InteractionFragment` with the specified 'Name' from the 'Fragment' containment reference list.

  Parameters:
    `name` - The 'Name' of the `InteractionFragment` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `InteractionFragment` to retrieve, or `null`.
    `createOnDemand` - Whether to create a `InteractionFragment` on demand if not found.
  Returns:
    The first `InteractionFragment` with the specified 'Name', or `null`.
  See Also:
    `getFragments()`

### validateGuardDirectlyPrior

    boolean validateGuardDirectlyPrior(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map<java.lang.Object,java.lang.Object> context)

  The guard must be placed directly prior to (above) the OccurrenceSpecification that will become the first OccurrenceSpecification within this InteractionOperand. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateGuardContainReferences

    boolean validateGuardContainReferences(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

  The guard must contain only references to values local to the Lifeline on which it resides, or values global to the whole Interaction. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.